Name: gtkhalt
Version: 0.6
Release: alt1

Summary: Applet for halt,reboot,logout  and lockscreen
License: GPL
Group:   System Tools

Source0: %name-%version.tar.gz

Packager: Konstantin Kogan <ALT Linux Active Users Club>

Summary(ru_RU.UTF-8): Апплет для выключения, перезагрузки, выхода в dm и блокировки экрана.

Requires: SysVinit-usermode xscreensaver
# Automatically added by buildreq on Sat Oct 04 2014
# optimized out: fontconfig fontconfig-devel glib2-devel libatk-devel libcairo-devel libfreetype-devel libgdk-pixbuf libgdk-pixbuf-devel libgio-devel libpango-devel libwayland-client libwayland-server pkg-config
BuildRequires: libcroco libgtk+2-devel libruby

%description
Applet for halt,reboot and lockscreen

%description -l ru_RU.UTF-8
Апплет для выключения, перезагрузки и блокировки экрана.


%prep
%setup

%build

%configure
%make_build
cat > %name.desktop <<@@@
[Desktop Entry]
Type=Application
Name=GtkHalt
GenericName= Applet
GenericName[ru]= Апплет
Comment=Applet for halt, reboot and screenlock
Exec=gtkhalt
Categories=GTK;System;Utility;
StartupNotify=false
Terminal=false
@@@

cat > %name <<@@@
#!/bin/bash
# -*- coding: utf-8 -*-
cd /usr/lib/gtkhalt/
/usr/lib/gtkhalt/gtkhalt
@@@

%install

mkdir -p %buildroot%_libexecdir/%name/Data
cp -R src/Data %buildroot%_libexecdir/%name
install -pDm755 src/%name %buildroot%_libexecdir/%name/%name
install -pDm755 src/Data/logout.sh %buildroot%_bindir/logout_de
install -pDm755 %name %buildroot%_bindir/%name
install -D %name.desktop %buildroot/%_desktopdir/%name.desktop
mkdir -p %buildroot/%_bindir

%files
%_bindir/*
%_desktopdir/%name.desktop
%_libexecdir/%name/*
%doc AUTHORS ChangeLog NEWS README

%changelog
* Tue Jul 10 2018 Konstantin Kogan <altlinuxclub> 0.6-alt1
- Fixed new bug

* Wed Jun 15 2016 Konstantin Kogan <kostyalamer@yandex.ru> 0.5-alt1
- Fixed bug for halt 

* Tue Apr 12 2016 Konstantin Kogan <kostyalamer@yandex.ru> 0.4-alt1
- Added picture on buttons.

* Thu Oct 16 2014 Konstantin Kogan <kostyalamer@yandex.ru> 0.3-alt1
- Added picture on buttons.

* Sat Oct 04 2014 Konstantin Kogan <kostyalamer@yandex.ru> 0.2-alt1
- First build for ALT Linux.


